summaryrefslogtreecommitdiffstats
path: root/misc/fcitx/fcitx.SlackBuild
diff options
context:
space:
mode:
author luoyi2010-05-12 23:31:36 +0200
committer Michiel van Wessem2010-05-12 23:31:36 +0200
commitd583ee905fabee047b33c2fed3b74c9492cf78c7 (patch)
treef665f85efdc2107ff7bc8feddf3a2f27d27cc3c1 /misc/fcitx/fcitx.SlackBuild
parentcf54f1f1ec8697c9dcfb097c556d053efc9efcdf (diff)
downloadslackbuilds-d583ee905fabee047b33c2fed3b74c9492cf78c7.tar.gz
misc/fcitx: Added to 12.2 repository
Diffstat (limited to 'misc/fcitx/fcitx.SlackBuild')
-rw-r--r--misc/fcitx/fcitx.SlackBuild79
1 files changed, 79 insertions, 0 deletions
diff --git a/misc/fcitx/fcitx.SlackBuild b/misc/fcitx/fcitx.SlackBuild
new file mode 100644
index 0000000000..3fd3565d69
--- /dev/null
+++ b/misc/fcitx/fcitx.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for fcitx
+# Written by luoyi (luoyi.ly@gmail.com)
+
+# Modified by the slackbuilds.org project. --michiel
+PRGNAM=fcitx
+VERSION=${VERSION:-3.6.0rc}
+SRCVER=${PKGVER:-3.6.0-rc}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$SRCVER.tar.bz2
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/etc/profile.d
+cat $CWD/fcitx.sh > $PKG/etc/profile.d/fcitx.sh
+chmod 755 $PKG/etc/profile.d/fcitx.sh
+
+sed -i -e 's/^/#/' $PKG/usr/share/fcitx/data/tables.conf
+cat $CWD/fcitx.config > $PKG/usr/share/fcitx/data/config
+chmod 644 $PKG/usr/share/fcitx/data/config
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz